import request from '@/utils/request'

const answerApi = {
    answerViewReport: 'answer/viewReport', // 查看报告
    answerViewResolution: 'answer/viewResolution', // 查看解析
    collection: 'practice/collection', // 收藏
    collectionCancel: 'practice/cancel/collection' // 取消收藏
}

export function answerViewReport (params) {
    return request({
        url: answerApi.answerViewReport,
        method: 'get',
        params: params
    })
}

export function reqCollection (params) {
    return request({
        url: answerApi.collection,
        method: 'post',
        params: params,
        data: params
    })
}

export function reqCollectionCancel (params) {
    return request({
        url: answerApi.collectionCancel,
        method: 'get',
        params: params,
        data: params
    })
}

export function answerViewResolution (params) {
    return request({
        url: answerApi.answerViewResolution,
        method: 'get',
        params: params
    })
}
